### Method

# Meta Shadow paint

#### Declaration [src]

    void
    meta_shadow_paint (
      MetaShadow* shadow,
      CoglFramebuffer* framebuffer,
      int window_x,
      int window_y,
      int window_width,
      int window_height,
      guint8 opacity,
      MtkRegion* clip,
      gboolean clip_strictly
    )

#### Description [src]

Paints the shadow at the given position, for the specified actual size of the region.

Since a `MetaShadow` can be shared between different sizes with the same extracted `MetaWindowShape` the size needs to be passed in here.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  No description available.

  The data is owned by the caller of the method.

`window_x`

  Type: `int`

  X position of the region to paint a shadow for.

`window_y`

  Type: `int`

  Y position of the region to paint a shadow for.

`window_width`

  Type: `int`

  Actual width of the region to paint a shadow for.

`window_height`

  Type: `int`

  Actual height of the region to paint a shadow for.

`opacity`

  Type: `guint8`

  No description available.

`clip`

  Type: `MtkRegion`

  If non-`NULL` specifies the visible portion of the shadow.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`clip_strictly`

  Type: `gboolean`

  If `TRUE`, drawing will be clipped strictly to `clip`, otherwise, it will be only used to optimize drawing.